Subject: Re: [PATCH v2 01/29] powerpc: Rename "notes" PT_NOTE to "note"

From: Segher Boessenkool <[email-masked]>
Date: Fri, 11 Oct 2019 03:25:19 -0500

On Thu, Oct 10, 2019 at 05:05:41PM -0700, Kees Cook wrote:
> The Program Header identifiers are internal to the linker scripts. In
> preparation for moving the NOTES segment declaration into RO_DATA,
> standardize the identifier for the PT_NOTE entry to "note" as used by
> all other architectures that emit PT_NOTE.

All other archs are wrong, and "notes" is a much better name.  This
segment does not contain a single "note", but multiple "notes".

Segher